commit:     f364580a56957e40b39d6683f9fc978b67952d80
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Fri Jul 24 02:34:22 2020 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Fri Jul 24 02:36:06 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f364580a

xfce-extra/xfce4-timer-plugin: Bump to 1.7.1

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 xfce-extra/xfce4-timer-plugin/Manifest             |  1 +
 .../xfce4-timer-plugin-1.7.1.ebuild                | 37 ++++++++++++++++++++++
 2 files changed, 38 insertions(+)

diff --git a/xfce-extra/xfce4-timer-plugin/Manifest 
b/xfce-extra/xfce4-timer-plugin/Manifest
index 280f47d5ff5..094dd907082 100644
--- a/xfce-extra/xfce4-timer-plugin/Manifest
+++ b/xfce-extra/xfce4-timer-plugin/Manifest
@@ -1 +1,2 @@
 DIST xfce4-timer-plugin-1.7.0.tar.bz2 381222 BLAKE2B 
3c273d818b7b04cf2ceeea3b72837ccf43ee0433ca458dbbb3aa68015ee28fb2e61ab3b5f36b341d087f00e9c4ca8e9be5453e735251bf9c9c1e910ce8c6d2f3
 SHA512 
b4d00396f5be37d009cdb50baea8804c4b06a6f0b821d66751fd07ca21e186c01bafeec5170209b5de69559803e0ac54d9b56266f193b65ac056cdd52bf5228e
+DIST xfce4-timer-plugin-1.7.1.tar.bz2 405053 BLAKE2B 
1efb88f9b4e7d1ace747950f97c1d0beaf7e9194bab639c4f8eb650378cd216f621fe30e7fbb874e73acffd1c3b30048754f07ed8fb64e96260fb831f3ff62be
 SHA512 
4887dc2c524a8b749a20449dd491dc8f12f8babb26c64cecf33ae56b45d2446128cb65c25f11d534278ad39a2adf7ab718714e1bfa613fd39713e44642030c16

diff --git a/xfce-extra/xfce4-timer-plugin/xfce4-timer-plugin-1.7.1.ebuild 
b/xfce-extra/xfce4-timer-plugin/xfce4-timer-plugin-1.7.1.ebuild
new file mode 100644
index 00000000000..f15899695d0
--- /dev/null
+++ b/xfce-extra/xfce4-timer-plugin/xfce4-timer-plugin-1.7.1.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit gnome2-utils
+
+DESCRIPTION="A simple timer plug-in for the Xfce desktop environment"
+HOMEPAGE="https://goodies.xfce.org/projects/panel-plugins/xfce4-timer-plugin";
+SRC_URI="https://archive.xfce.org/src/panel-plugins/${PN}/${PV%.*}/${P}.tar.bz2";
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux 
~x86-linux"
+IUSE=""
+
+#libx11?
+RDEPEND=">=x11-libs/gtk+-3.20:3=
+       >=xfce-base/libxfce4ui-4.12:=
+       >=xfce-base/libxfce4util-4.12:=
+       >=xfce-base/xfce4-panel-4.10:="
+DEPEND="${RDEPEND}
+       dev-util/intltool
+       virtual/pkgconfig"
+
+src_install() {
+       default
+       find "${D}" -name '*.la' -delete || die
+}
+
+pkg_postinst() {
+       gnome2_icon_cache_update
+}
+
+pkg_postrm() {
+       gnome2_icon_cache_update
+}

Reply via email to